com.thinkaurelius.titan.graphdb.query.condition

## Class Not<E extends TitanElement>

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.query.condition.Not<E>

- All Implemented Interfaces:
    Condition<E>

      public class Not<E extends TitanElement>
      extends Object
      implements Condition<E>

  Negates the wrapped condition, i.e. semantic NOT
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.query.condition.Condition

      `Condition.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Not(Condition<E> condition)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `boolean` | `evaluate(E element)`
    `Condition<E>` | `getChild()`
    `Iterable<Condition<E>>` | `getChildren()`
    `Condition.Type` | `getType()`
    `boolean` | `hasChildren()`
    `int` | `hashCode()`
    `int` | `numChildren()`
    `static <E extends TitanElement> Not<E>` | `of(Condition<E> element)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Not

          public Not(Condition<E> condition)

  - ### Method Detail

    - #### getType

          public Condition.Type getType()

      Specified by:
        `getType` in interface `Condition<E extends TitanElement>`

    - #### getChild

          public Condition<E> getChild()

    - #### hasChildren

          public boolean hasChildren()

      Specified by:
        `hasChildren` in interface `Condition<E extends TitanElement>`

    - #### numChildren

          public int numChildren()

      Specified by:
        `numChildren` in interface `Condition<E extends TitanElement>`

    - #### evaluate

          public boolean evaluate(E element)

      Specified by:
        `evaluate` in interface `Condition<E extends TitanElement>`

    - #### getChildren

          public Iterable<Condition<E>> getChildren()

      Specified by:
        `getChildren` in interface `Condition<E extends TitanElement>`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Condition<E extends TitanElement>`
      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Specified by:
        `equals` in interface `Condition<E extends TitanElement>`
      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `Condition<E extends TitanElement>`
      Overrides:
        `toString` in class `Object`

    - #### of

          public static <E extends TitanElement> Not<E> of(Condition<E> element)

Copyright © 2012–2014. All rights reserved.